
dist-hook:
	if test "x$$HAYINFO" != x; then \
  	 $(INSTALL_DATA) $(srcdir)/$(INFOF) "$(top_distdir)/doc/$(INFOF)"; \
        fi
	for file in ${TEXDIRSFILES};  do (\
	  for ext in ${distext}; do ( \
	       $(mkinstalldirs)   $(top_distdir)/doc/$$file;\
	       $(INSTALL_DATA) $$file/*.$$ext $(top_distdir)/doc/$$file 2>/dev/null;\
	    ); done;\
	$(INSTALL_DATA) $$file/Makefile $(top_distdir)/doc/$$file ;\
	); done




## copiar pdfs no generados en la web
## generar indice en la web

install-data-hook: 
	if test "x$$HAYINFO" != x; then \
	$(mkinstalldirs)  "$(DESTDIR)$(infodir)";\
	$(INSTALL_DATA) $(srcdir)/$(INFOF) "$(DESTDIR)$(infodir)/$(INFO)"; \
	$(mkinstalldirs)  /var/backups;\
	if test  x$(DESTDIR) = x; then \
	    install-info --infodir=$(DESTDIR)$(infodir) "$(DESTDIR)$(infodir)/$(INFO)"; \
	fi \
	fi 
	export TDISTCHECK=`echo $(prefix) | grep '_inst'`;\
	$(mkinstalldirs) $(DESTDIR)$$TDISTCHECK${HTTPDROOT}/${PACKAGE};\
	for file in ${static_docs} ;  do (\
	    $(INSTALL_DATA) $(srcdir)/$$file $(DESTDIR)$$TDISTCHECK$(HTTPDROOT)/$(PACKAGE) ; \
	    ##### hecho por automake $(INSTALL_DATA) $$file $(docdir) ;\
            ); done; \
	for file in ${TEXDIRSFILES};  do (\
	  $(mkinstalldirs)   $(DESTDIR)$$TDISTCHECK${HTTPDROOT}/${PACKAGE}/$$file ;\
	  $(mkinstalldirs)   $(DESTDIR)$(docdir)/$$file ;\
	  cd $$file ;\
	  for ext in ${docsext}; do ( \
	       $(INSTALL_DATA)  $$file.$$ext $(DESTDIR)$$TDISTCHECK${HTTPDROOT}/${PACKAGE}/$$file.$$ext ;\
	       $(INSTALL_DATA)  $$file.$$ext $(DESTDIR)$(docdir)/$$file.$$ext ;\
	    ); done;\
	  $(INSTALL_DATA) $$file.l2html/* $(DESTDIR)$$TDISTCHECK${HTTPDROOT}/${PACKAGE}/$$file;\
	  $(INSTALL_DATA) $$file.l2html/* $(DESTDIR)$(docdir)/$$file;\
	); done

# ojo si no hay package

uninstall-hook:
	if test "x$$HAYINFO" != x; then \
	install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$(INFO)';\
	rm "$(DESTDIR)$(infodir)/$(INFO)";\
	fi
	export TDISTCHECK=`echo $(prefix) | grep '_inst'`;\
	for file in ${static_docs} ;  do (\
	    rm $(DESTDIR)$$TDISTCHECK$(HTTPDROOT)/$(PACKAGE)/$$file ; \
            ); done; \
	for file in ${TEXDIRSFILES};  do (\
	  cd $$file ;\
	  for ext in ${docsext}; do ( \
	       rm  $(DESTDIR)$$TDISTCHECK${HTTPDROOT}/${PACKAGE}/$$file.$$ext ;\
	       rm $(DESTDIR)$(docdir)/$$file.$$ext ;\
	    ); done;\
	  rm -fr $(DESTDIR)$$TDISTCHECK${HTTPDROOT}/${PACKAGE}/$$file;\
	  rm -fr $(DESTDIR)$(docdir)/$$file;\
	); done;


